#ifndef __KYEE_CLIENT_H__
#define __KYEE_CLIENT_H__
#if defined(__aarch64__)
#include <err.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <tee_client_api.h>

#define ROUNDUP(x, y)			((((x) + (y) - 1) / (y)) * (y))

#define FREE_PTR(p)   \
    {                 \
        if (p)        \
        {             \
            free(p);  \
            p = NULL; \
        }             \
    }

// 建立session通话的结构体
struct tee_ctx
{
    TEEC_Context ctx;
    TEEC_Session sess;
};


#ifdef __cplusplus
extern "C" {
#endif

//与TA建立session
// 返回值：0成功，其他值失败
TEEC_Result prepare_tee_session(struct tee_ctx *ctx, TEEC_UUID *uuid);

//断开session
void terminate_tee_session(struct tee_ctx *ctx);

#ifdef __cplusplus
}
#endif
#endif
#endif

